/**
 * 
 */
package org.eclipse.gef.custom.figure;

import org.eclipse.draw2d.ArrowButton;
import org.eclipse.draw2d.ColorConstants;
import org.eclipse.draw2d.Figure;
import org.eclipse.draw2d.Label;
import org.eclipse.draw2d.PositionConstants;
import org.eclipse.draw2d.SimpleEtchedBorder;
import org.eclipse.draw2d.SimpleLoweredBorder;
import org.eclipse.draw2d.geometry.Dimension;

/**
 * This figure represents a combo box control.
 * 
 * @author Takahiro Shida
 */
public class ComboBoxFigure extends Figure {

	private ArrowButton button = new ArrowButton(PositionConstants.SOUTH);

	private Label textBox = new Label();

	private static final Dimension MINIMUM = new Dimension(16, 16);

	public ComboBoxFigure() {
		super();
		CustomBorderLayout layout = new CustomBorderLayout();
		layout.setStretchCenterHeight(true);
		layout.setStretchCenterWidth(true);
		setLayoutManager(layout);
		setBorder(SimpleEtchedBorder.singleton);
		textBox.setBackgroundColor(ColorConstants.white);
		textBox.setOpaque(true);
		textBox.setBorder(new SimpleLoweredBorder());
		textBox.setLabelAlignment(PositionConstants.LEFT);
		button.setSize(MINIMUM);
		button.setPreferredSize(MINIMUM);
		add(textBox, CustomBorderLayout.CENTER);
		add(button, CustomBorderLayout.RIGHT);
	}

	public void setText(String text) {
		this.textBox.setText(text);
	}
	
	public Label getTextBox() {
		return textBox;
	}
}
