/**
 * 
 */
package org.eclipse.gef.custom.figure;

import java.io.IOException;
import java.io.InputStream;

import org.eclipse.draw2d.ButtonModel;
import org.eclipse.draw2d.ChangeEvent;
import org.eclipse.draw2d.ChangeListener;
import org.eclipse.draw2d.Label;
import org.eclipse.draw2d.Toggle;
import org.eclipse.swt.graphics.Image;

/**
 * @author shida
 *
 */
public class RadioButton extends Toggle {


	private Label label = null;

	static final Image
		UNCHECKED = createImage("radio_unselected.gif"), //$NON-NLS-1$
		CHECKED = createImage("radio_selected.gif"); //$NON-NLS-1$

	private static Image createImage(String name) {
		InputStream stream = RadioButton.class.getResourceAsStream(name);
		Image image = new Image(null, stream);
		try {
			stream.close();
		} catch (IOException ioe) {
		}
		return image;
	}


	public RadioButton() {
		this(""); //$NON-NLS-1$
	}


	public RadioButton(String text) {
		setContents(label = new Label(text, UNCHECKED));
	}


	protected void handleSelectionChanged() {
		if (isSelected())
			label.setIcon(CHECKED);
		else
			label.setIcon(UNCHECKED);
	}


	protected void init() {
		super.init();
		addChangeListener(new ChangeListener () {
			public void handleStateChanged(ChangeEvent changeEvent) { 
				if (changeEvent.getPropertyName().equals(ButtonModel.SELECTED_PROPERTY))
					handleSelectionChanged();
			}
		});
	}

}
