package org.eclipse.gef.custom.figure;

import org.eclipse.draw2d.Figure;
import org.eclipse.draw2d.Label;
import org.eclipse.draw2d.PositionConstants;
import org.eclipse.draw2d.geometry.Dimension;

public class RadioButtonFigure extends Figure {

	private RadioButton button = new RadioButton();

	private Label label = new Label();

	private static final Dimension MINIMUM = new Dimension(16, 16);

	public RadioButtonFigure() {
		CustomBorderLayout layout = new CustomBorderLayout();
		layout.setStretchCenterHeight(true);
		layout.setStretchCenterWidth(true);
		setLayoutManager(layout);
		label.setLabelAlignment(PositionConstants.LEFT);
		button.setSize(MINIMUM);
		button.setPreferredSize(MINIMUM);
		add(label, CustomBorderLayout.CENTER);
		add(button, CustomBorderLayout.LEFT);
	}

	public void setText(String text) {
		this.label.setText(text);
	}
	
	public Label getLabel() {
		return label;
	}
}
